Commit f2fd19ae authored by Holger Levsen's avatar Holger Levsen

chroot-installs: ignore more transitional packages because of #874756 #874757 #874758 #874760

Signed-off-by: Holger Levsen's avatarHolger Levsen <holger@layer-acht.org>
parent 8b5a913f
......@@ -305,6 +305,10 @@ if [ "$DISTRO" = "sid" ] ; then
# - myspell-ca because #874556
# - myspell-en-gb because #874557
# - myspell-sv-se because #874558
# - myspell-lt because #874756
# - khelpcenter4 because #874757
# - libqca2-plugin-ossl because #874758
# - gambas3-gb-desktop-gnome because #874760
# ignore "dummy transitional library" because it really is what it says it is…
# ignore transitional packages introduced during busters lifecycle (so bugs should only be filed once we released buster)
# - libidn2-0-dev 2.0.2-3
......@@ -316,7 +320,7 @@ if [ "$DISTRO" = "sid" ] ; then
# - iceweasel
( sudo chroot $CHROOT_TARGET dpkg -l \
| grep -v multiarch-support \
| egrep -v "(jadetex|dh-systemd|libpcap-dev|transfig|myspell-it|myspell-sl|python-gobject|ttf-dejavu|libav-tools|netcat|gnupg2|libkf5akonadicore-bin|qml-module-org-kde-extensionplugin|myspell-ca|myspell-en-gb|myspell-sv-se)" \
| egrep -v "(jadetex|dh-systemd|libpcap-dev|transfig|myspell-it|myspell-sl|python-gobject|ttf-dejavu|libav-tools|netcat|gnupg2|libkf5akonadicore-bin|qml-module-org-kde-extensionplugin|myspell-ca|myspell-en-gb|myspell-sv-se|myspell-lt|khelpcenter4|libqca2-plugin-ossl|gambas3-gb-desktop-gnome)" \
| egrep -v "(libidn2-0-dev|texlive-htmlxml|gnome-user-guide|libegl1-mesa|libgl1-mesa-glx|libgles2-mesa|iceweasel)" \
| grep -v "dummy transitional library" \
| grep -i "Transitional" 2>/dev/null || true) > $TMPFILE
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment